<!DOCTYPE html>
<html>
    
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Cruce Gama</title>
        <meta name="description" content="An interactive getting started guide for Brackets.">
        
        <style>
            table, td, th {
              border: 1px solid black;
              border-collapse: separate;
              border-spacing: 0px;
              background-color:beige;
              text-align: center;
            }
        </style>
    </head>
    <body>
        
        <h1>crucegama</h1>
        
        
        <br>
        <p> introdusca 5 letras</p>
        <input type="text" id="txt1"> <input type="text" id="txt2"> <input type="text" id="txt3">
        <br>
        <input type="text" id="txt4"> <input type="text" id="txt5">
        <br>
        <br>
        <input type="button" value="Empezar nivel 1" onclick="generateGame1()">
        <input type="button" value="Empezar nivel 2" onclick="generateGame2()">
        
        <script>
            
        function generateLetters(){       
            let x = [document.getElementById("txt1").value,document.getElementById("txt2").value,document.getElementById("txt3").value,document.getElementById("txt4").value, document.getElementById("txt5").value];
            return x;
        }      


        function createMap1(){
          let list_letter = generateLetters();
          const letters = "ABCDEFGHIJKLMNOPQ";
          let r=0;
          const dimensio=20;
          let crucegama = new Array(dimensio);

              for (i=0; i<crucegama.length; i++){
                    crucegama[i] = new Array(dimensio);
                for (j=0; j<crucegama[i].length; j++){

                     r = Math.floor(Math.random() * 17);
                    crucegama[i][j]=letters[r];

                }
            }


            //posicionIni 1
            let letter_1_F = 6;
            let letter_1_C = 1;          
            let letter = list_letter[0];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F][letter_1_C + l] = letter[l];
             }

            //posicionIni 2
             letter_1_F = 2;
             letter_1_C = 10;          
             letter = list_letter[1];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F][letter_1_C + l] = letter[l];
             }

            //posicionIni 3
             letter_1_F = 7;
             letter_1_C = 17;          
             letter = list_letter[2];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F + l][letter_1_C] = letter[l];
             }

            //posicionIni 4
             letter_1_F = 3;
             letter_1_C = 6;          
             letter = list_letter[3];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F + l][letter_1_C + l] = letter[l];
             }

            //posicionIni 5
             letter_1_F = 16;
             letter_1_C = 1;          
             letter = list_letter[4];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F][letter_1_C + l] = letter[l];
             }


            return crucegama;
        }

            
        function createMap2(){
          let list_letter = generateLetters();
          const letters = "ABCDEFGHIJKLMNOPQ";
          let r=0;
          const dimensio=20;
          let crucegama = new Array(dimensio);

              for (i=0; i<crucegama.length; i++){
                    crucegama[i] = new Array(dimensio);
                for (j=0; j<crucegama[i].length; j++){

                     r = Math.floor(Math.random() * 17);
                    crucegama[i][j]=letters[r];

                }
            }


            //posicionIni 1
            let letter_1_F = 0;
            let letter_1_C = 13;          
            let letter = list_letter[0];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F][letter_1_C + l] = letter[l];
             }

            //posicionIni 2
             letter_1_F = 2;
             letter_1_C = 10;          
             letter = list_letter[1];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F][letter_1_C + l] = letter[l];
             }

            //posicionIni 3
             letter_1_F = 7;
             letter_1_C = 1;          
             letter = list_letter[2];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F + l][letter_1_C] = letter[l];
             }

            //posicionIni 4
             letter_1_F = 3;
             letter_1_C = 16;          
             letter = list_letter[3];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F + l][letter_1_C - l] = letter[l];
             }

            //posicionIni 5
             letter_1_F = 18;
             letter_1_C = 10;          
             letter = list_letter[4];
             for(var l=0;l< letter.length; l++){
                  crucegama[letter_1_F][letter_1_C + l] = letter[l];
             }


            return crucegama;
        }   
            
            
    class Player {
        constructor(map){
            this.map =  map;
        }


        genera_tabla() {
                    //crea el mapa llamando a la funcion
                    let m = this.map;

                    let body = document.getElementsByTagName("body")[0];

                      // Crea un elemento <table> y un elemento <tbody>
                      let tabla   = document.createElement("table");
                      let tblBody = document.createElement("tbody");

                      // Crea las celdas
                      for (var i = 0; i < 20; i++) {
                        let hilera = document.createElement("tr");

                        for (var j = 0; j < 20; j++) {
                          let celda = document.createElement("td");
                          let textoCelda = document.createTextNode(m[i][j]);
                          celda.appendChild(textoCelda);
                          hilera.appendChild(celda);
                        }

                        tblBody.appendChild(hilera);
                      }

                      tabla.appendChild(tblBody);

                      body.appendChild(tabla);
                      tabla.setAttribute("border", "2");
                    }

    }
       
            
            
            
            
            
     function generateGame1(){
         let game1 = new Player(createMap1());
            game1.genera_tabla();   
     }

     function generateGame2(){
         let game2 = new Player(createMap2());
            game2.genera_tabla();   
     }

                    
            
            
        </script>
    </body>
</html>